Contents
Index 🔎︎

# Timer Function

Returnerar ett värde som anger antalet sekunder sedan midnatt.

Du måste först deklarera en variabel med datatypen Long och tilldela den returvärdet från Timer. Annars returneras ett värde av typen Date.

## Syntax:

    Timer

## Returvärde:

Datum

## Exempel:

    Sub ExampleTimer
    Dim lSec As Long,lMin As Long,lHour As Long
        lSec = Timer
        MsgBox lSec,0,"Antal sekunder sedan midnatt"
        lMin = lSec / 60
        lSec = lSec Mod 60
        lHour = lMin / 60
        lMin = lMin Mod 60
        MsgBox Right("00" & lHour , 2) & ":"& Right("00" & lMin , 2) & ":" &  Right("00" & lSec , 2) ,0,"Klockan är"
    End Sub

The Timer function measures time in seconds. To measure time in milliseconds use the Timer service.

Närliggande ämnen

ScriptForge.Timer service